Package Scientific :: Package Visualization :: Module VRML2 :: Class Line

[frames] | no frames]

# Class Line

    VRMLObject --+
                 |
       ShapeObject --+
                     |
                    Line

Line

Instance Methods

__init__(self, point1, point2, **attr) |

memoKey(self) |

writeSpecification(self, file) |

Inherited from `ShapeObject`: `__add__`, `use`, `writeToFile` Inherited from `VRMLObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, point1, point2, **attr)
(Constructor)

Parameters:
  - `point1` (Scientific.Geometry.Vector) - first end point
  - `point2` (Scientific.Geometry.Vector) - second end point
  - `attr` - graphics attributes as keyword parameters
Overrides: VRMLObject.__init__